CDBF::Choice Class Reference

Choice More...

## Public Member Functions

| Choice (const Brancher &b, unsigned int a, int i, int *s, int n_s)
virtual void | archive (Archive &e) const
| Archive into e.
virtual | ~Choice (void)
| Destructor.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.

## Public Attributes

int | item
| Item.
int * | same
| Bins with same slack.
int | n_same
| Number of bins with same slack.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

Choice

Definition at line 209 of file bin-packing.cpp.

## Constructor & Destructor Documentation

## Choice()

CDBF::Choice::Choice | ( | const Brancher & | b,
|  | unsigned int | a,
|  | int | i,
|  | int * | s,
|  | int | n_s )

inline

Initialize choice for brancher b, alternatives a, item i and same bins s.

Definition at line 220 of file bin-packing.cpp.

## ~Choice()

virtual CDBF::Choice::~Choice | ( | void |  | ) |

inline virtual

Destructor.

Reimplemented from Gecode::Choice.

Definition at line 234 of file bin-packing.cpp.

## Member Function Documentation

## archive()

virtual void CDBF::Choice::archive | ( | Archive & | e | ) | const

inline virtual

Archive into e.

Reimplemented from Gecode::Choice.

Definition at line 227 of file bin-packing.cpp.

## Member Data Documentation

## item

int CDBF::Choice::item

Item.

Definition at line 212 of file bin-packing.cpp.

## same

int* CDBF::Choice::same

Bins with same slack.

Definition at line 214 of file bin-packing.cpp.

## n_same

int CDBF::Choice::n_same

Number of bins with same slack.

Definition at line 216 of file bin-packing.cpp.

The documentation for this class was generated from the following file:

- examples/bin-packing.cpp